#!/usr/bin/env ruby
# encoding: utf-8

module Coopy
  class RowChange 
    
    def initialize
    end
    
    attr_accessor :cond
    attr_accessor :val
    attr_accessor :conflicting_val
    attr_accessor :conflicting_parent_val
    attr_accessor :conflicted
    attr_accessor :is_key
    attr_accessor :action
    
    protected
    
    def show_map(m)
      return "{}" if m == nil
      txt = ""
      _it = ::Rb::RubyIterator.new(m.keys)
      while(_it.has_next) do
        k = _it._next
        txt += ", " if txt != ""
        v = m[k]
        txt += _hx_str(k) + "=" + _hx_str(v.to_s)
      end
      "{ " + _hx_str(txt) + " }"
    end
    
    public
    
    def to_s 
      _hx_str(@action) + " " + _hx_str(self.show_map(@cond)) + " : " + _hx_str(self.show_map(@val))
    end
    
  haxe_me ["coopy", "RowChange"]
  end

end
